Rio Cali mp3 player

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Paul L
Level 1
Level 1
Posts: 32
Joined: Fri Jul 13, 2007 7:09 pm

Rio Cali mp3 player

Postby Paul L » Mon Jul 30, 2007 6:13 pm

I'm getting really frustrated trying to install my Rio Cali mp3 player. I've installed rioutil and jrioutil as advised. I can get access to the player on the command line through rioutil but cannot get jrioutil to recognise the player. Has anyone managed to get this player to work in Mint?

I note that the program quits while running usr/local/bin/rioutil --info, however there's no such file in this folder.

I would appreciate any assistance as this (and syncing my phone) are putting me off using Linux permanently.

Many thanks in advance

Paul

Husse
Level 23
Level 23
Posts: 19593
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Postby Husse » Wed Aug 01, 2007 5:49 am

Image
Don't fix it if it ain't broken, don't break it if you can't fix it

Paul L
Level 1
Level 1
Posts: 32
Joined: Fri Jul 13, 2007 7:09 pm

Initialisation problem

Postby Paul L » Thu Aug 02, 2007 10:48 am

Thanks Husse,

I have already tried this route but keep getting the following error


java.io.IOException: Cannot run program "/usr/local/bin/rioutil": java.io.IOException: error=2, No such file or directory
at java.lang.ProcessBuilder.start(ProcessBuilder.java:459)
at java.lang.Runtime.exec(Runtime.java:593)
at java.lang.Runtime.exec(Runtime.java:431)
at java.lang.Runtime.exec(Runtime.java:328)
at org.mpilone.jrioutil.device.DeviceAdapter.execCommand(DeviceAdapter.java:70)
at org.mpilone.jrioutil.device.rioutil.RioUtilDevice.access$500(RioUtilDevice.java:18)
at org.mpilone.jrioutil.device.rioutil.RioUtilDevice$3.run(RioUtilDevice.java:195)
Caused by: java.io.IOException: java.io.IOException: error=2, No such file or directory
at java.lang.UNIXProcess.<init>(UNIXProcess.java:148)
at java.lang.ProcessImpl.start(ProcessImpl.java:65)
at java.lang.ProcessBuilder.start(ProcessBuilder.java:452)
... 6 more



I am assuming that rioutil is installed in the wrong directory but don't fully understand the error message.


Paul

OU812
Level 3
Level 3
Posts: 149
Joined: Fri Jun 29, 2007 8:01 pm
Location: California, USA

Postby OU812 » Thu Aug 02, 2007 11:39 am

I don't know if this will help, but have you configured your default java? For example,

Code: Select all

$ sudo update-alternatives --config java   

There are 6 alternatives which provide `java'.

  Selection    Alternative
-----------------------------------------------
          1    /etc/alternatives/kaffe-system/bin/java
          2    /usr/bin/gij-wrapper-4.0
          3    /usr/lib/jvm/java-1.5.0-sun/jre/bin/java
          4    /usr/bin/gij-wrapper-4.1
 +        5    /usr/lib/jvm/java-gcj/jre/bin/java
*         6    /usr/lib/jvm/java-6-sun/jre/bin/java

Press enter to keep the default[*], or type selection number: 6
Using `/usr/lib/jvm/java-6-sun/jre/bin/java' to provide `java'.


john

Paul L
Level 1
Level 1
Posts: 32
Joined: Fri Jul 13, 2007 7:09 pm

Java

Postby Paul L » Thu Aug 02, 2007 11:55 am

Thanks, I appreciate your prompt response.

running the program I get two Java options (same as options 3 and 6 in your example) Option 6 is marked * and +
Does this help?

Paul

OU812
Level 3
Level 3
Posts: 149
Joined: Fri Jun 29, 2007 8:01 pm
Location: California, USA

Postby OU812 » Fri Aug 03, 2007 12:37 am

It sounds like you installed java 6? Then choose option 6 as in the example.

john

Paul L
Level 1
Level 1
Posts: 32
Joined: Fri Jul 13, 2007 7:09 pm

Problem solved (sort of !)

Postby Paul L » Sun Aug 05, 2007 7:40 am

I got fed up trying to get my Cali to work with Linux. I sent an e-mail to Rio asking for help. They ignored it. If Rio can't be bothered with me I can't be bothered with Rio. Bought a cheap (£6) mp3 player. Plugged it in - works! £6 for 512mb and it includes an FM radio. Sold!

If anyone ever does get the Cali to work with Linux I would be interested to know.



Paul

OU812
Level 3
Level 3
Posts: 149
Joined: Fri Jun 29, 2007 8:01 pm
Location: California, USA

Postby OU812 » Sun Aug 05, 2007 1:06 pm

If I have problems getting something to work, I usually do a google with ubuntu. For example, I did

"ubuntu rio cali"

and got this hit

http://ubuntuforums.org/showthread.php?t=87225

Basically, a post suggests running the app as root. This is quite common. I have used more than one distro that required running amarok or gnomad2 to sync with my player. It comes down to how the app was packaged.

john

Husse
Level 23
Level 23
Posts: 19593
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Postby Husse » Sun Aug 05, 2007 4:39 pm

But it is not good at all to run something that connects to the "outer world" and even the internet as root.....
Image
Don't fix it if it ain't broken, don't break it if you can't fix it


Return to “Newbie Questions”

Who is online

Users browsing this forum: No registered users and 9 guests